View Issue Details

IDProjectCategoryView StatusLast Update
0001706SymmetricDSImprovementpublic2019-04-22 13:42
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.0 
Summary0001706: Better support for MSSQL Server native data types in versions '00, '05, '08, and '12
DescriptionFor initial loads on MSSQL Server handle native types directly for each version of MSSql Server supported.
TagsNo tags attached.

Activities

josh-a-hicks

2019-04-22 13:42

developer   ~0001415

Setup a hierarchy of MSSQL platform classes to inherit new data types as they were introduced into the database.

Related Changesets

SymmetricDS: master 7c07c1c4

2014-05-01 10:02:25

James

Details Diff
0001706: Expanded out MSQLSever builders, ddlDataTypes, and platforms for versions 2000, 2005, 2008, and 2012.
0001706
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/JdbcSymmetricDialectFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MsSqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DatabaseNamesConstants.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/DdlBuilderFactory.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DdlBuilder.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/JdbcDatabasePlatformFactory.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DatabasePlatform.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File
rm - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql2000/MsSql2000DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/AbstractDdlTypesTest.java Diff File
add - symmetric-jdbc/src/test/java/org/jumpmind/db/platform/mssql/MSSql2008DdlTypesTest.java Diff File

SymmetricDS: master 0390e877

2014-05-01 15:19:15

chenson

Details Diff
0001706: Expanded out MSQLSever builders, ddlDataTypes, and platforms for versions 2000, 2005, 2008, and 2012.
0001706
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File

SymmetricDS: master 1c36a238

2014-05-01 15:23:48

chenson

Details Diff
0001706: Expanded out MSQLSever builders, ddlDataTypes, and platforms for versions 2000, 2005, 2008, and 2012.
0001706
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2000DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2005DatabasePlatform.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2014-05-01 10:01 josh-a-hicks New Issue
2014-05-01 11:00 josh-a-hicks Changeset attached => SymmetricDS trunk r8218
2014-05-01 16:00 Changeset attached => SymmetricDS trunk r8226
2014-05-01 16:00 Changeset attached => SymmetricDS trunk r8227
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 1c36a238
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0390e877
2015-07-30 21:49 Changeset attached => SymmetricDS master 7c07c1c4
2019-04-22 13:42 josh-a-hicks Assigned To => josh-a-hicks
2019-04-22 13:42 josh-a-hicks Status new => closed
2019-04-22 13:42 josh-a-hicks Resolution open => fixed
2019-04-22 13:42 josh-a-hicks Fixed in Version => 3.6.0
2019-04-22 13:42 josh-a-hicks Note Added: 0001415